# 自定义审批

## 自定义审批查询接口

查询用户是否拥有执行某个操作的自定义审批

```shell
curl -i "http://example.com/api/approves/query.json"
```

```json
{
  "status": {
    "code": 200,
    "message": "ok"
  },
  "approves": {
    "status": true
  }
}
```

* HTTP 请求

    `GET /api/approves/query.json`

* 请求参数

参数名     | 是否必填| 默认值| 说明
    --------- | -------|-------|-----------
    subject | 是 | 无 | 单据类型（如： purchase， sale）
    category | 是 | 无 | 分类（如： in， out）

* 返回字段说明

返回值字段 | 字段类型 | 说明
    -------- | ------- | -----------
    status | boolean | 是否开启审批