# 权限

## 权限查询接口

查询用户是否拥有执行某个操作的权限

```shell
curl -i "http://example.com/api/permissions/validate.json"
```

```json
{
  "status": {
    "code": 200,
    "message": "ok"
  },
  "permission": {
    "allowed": true
  }
}
```

* HTTP 请求

    `GET /api/permissions/validate.json`

* 请求参数

参数名     | 是否必填| 默认值| 说明
    --------- | -------|-------|-----------
    subject   | 是     | 无    | 操作的对象类型（单数类型，如：customer）
    act   | 是     | 无    | 操作

* 返回字段说明

返回值字段 | 字段类型 | 说明
    -------- | ------- | -----------
    allowed | boolean | 是否有权限