# 其他出入库-单据类别

## 单据类别查询接口



```shell
curl -i "http://example.com/api/storageio_categories.json?io_category=in&page=1&per=15"
```

```json
{
  "status": {
    "code": 200,
    "message": "OK"
  },
  "storageio_categories": [
    {
      "id": 3774,
      "name": "其他入库",
      "is_default": true
    },
    {
      "id": 3776,
      "name": "盘盈入库",
      "is_default": true
    }
  ],
  "pagination": {
    "current_page": 1,
    "current_per": "15",
    "prev_page": null,
    "total_count": 2,
    "entries_size": 2
  }
}
```

* HTTP 请求

    `GET /api/storageio_categories.json?io_category=in&page=1&per=15`

* 请求参数

参数名         | 是否必填| 默认值| 说明
    ------------- | -------|-------|-----------
    io_category          |  是     |无     | 单据类型（in 其他入库 out 其他出库）
    page  | 否      | 1     | 分页
	per  | 否      | 15     | 每页数量

* 返回字段说明

返回值字段         | 字段类型 | 说明
    ----------------- | ------- | -----------
    id                | int     | 单据类别ID
    name      | string  | 单据类别Name
    is_default      | decimal | 是否默认