# 企业微信

## 获取 wx.config 所需要的参数

```shell
curl -i http://example.com/api/wework/config_params.json
```

```json
{
  "status": {
    "code": "200",
    "message": "OK"
  },
  "config": {
    "app_id": "an_app_id",
    "expired_at": "2018-04-20T11:54:42.000+08:00",
    "nonce_str": "00e63644",
    "signature": "2e8ed589c5e1212b724432b43fc27748a35ee352",
    "time_stamp": "1524189582"
  }
}
```

* HTTP请求

 `GET /api/wework/config_params.json`

* 请求参数

参数名    | 是否必填   | 默认值   | 字段说明
    -------- | --------- | ------  | -----
    无       | 否        | 无      | 无

* 返回字段说明

返回值字段 | 字段类型 | 字段说明
    -------- | --------- | -----------
    app_id          | string | 企业微信分配的 corpID
    expired_at      | string | 过期时间
    nonce_str       | string | 生成签名的随机串
    signature       | string | 签名
    time_stamp      | string | 生成签名的时间戳