# 工作台

## 统计数据

```shell
curl -i http://example.com/api/dashboard/statistic.json
```

```json
{
  "status": {
    "code": 0
  },
  "statistic": {
    "purchase_last_week": "100.00",
    "purchase_current_week": "50.00",
    "sale_last_week": "123.00",
    "sale_current_week": "321.00",
    "total_inventory": "1500",
    "total_variety": "320",
    "customer_debt": "500.00",
    "supplier_debt": "1500.00"
  }
}
```

* HTTP请求

    `GET /api/dashboard/statistic.json`

* 请求参数

    无

* 返回字段说明

返回值字段 | 字段类型 | 字段说明
    -------- | --------- | -----------
    purchase_last_week            | string | 上周采购总额
    purchase_current_week         | string | 本周采购总额
    sale_last_week                | string | 上周销售总额
    sale_current_week             | string | 本周销售总额
    total_inventory               | string | 库存总量
    total_variety                 | string | 库存总类
    customer_debt                 | string | 客户欠款
    supplier_debt                 | string | 供应商欠款