# 成员
## 获取成员接口

```shell
curl -i http://example.com/api/members.json
```

```json
{
  "members": [
    {
      "id": 1,
      "name": "张三"
    }
  ]
}
```
获取成员列表

* HTTP 请求

    `GET /api/members.json`

* 请求参数

参数名 | 是否必填 | 默认值
    -------- | ------- | -----------
    keyword | string | 成员姓名关键词

* 返回字段说明

返回值字段 | 字段类型 | 说明
    -------- | ------- | -----------
    id | integer | ID
    name | string | 成员姓名